- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# FbxConnectEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 1322 of file fbxproperty.h.

`#include <fbxproperty.h>`

List of all members.

## Public Types
enum | EType { eConnectRequest, eConnect, eConnected, eDisconnectRequest, eDisconnect, eDisconnected }
enum | EDirection { eSource, eDestination }
## Public Member Functions
| FbxConnectEvent (EType pType, EDirection pDir, FbxProperty *pSrc, FbxProperty *pDst)
EType | GetType () const
EDirection | GetDirection () const
FbxProperty & | GetSrc () const
FbxProperty & | GetDst () const
template<class T >
T * | GetSrcIfObject (const T *) const
template<class T >
T * | GetDstIfObject (const T *) const

## Member Enumeration Documentation

enum EType

Search for all occurrences

Enumerator:

  eConnectRequest | Search for all occurrences
  eConnect | Search for all occurrences
  eConnected | Search for all occurrences
  eDisconnectRequest | Search for all occurrences
  eDisconnect | Search for all occurrences
  eDisconnected | Search for all occurrences

Definition at line 1325 of file fbxproperty.h.

        {
            eConnectRequest,
            eConnect,
            eConnected,
            eDisconnectRequest,
            eDisconnect,
            eDisconnected
        };

enum EDirection

Search for all occurrences

Enumerator:

  eSource | Search for all occurrences
  eDestination | Search for all occurrences

Definition at line 1335 of file fbxproperty.h.

        {
            eSource,
            eDestination
        };

## Constructor & Destructor Documentation

FbxConnectEvent | ( | EType | pType,
|  | EDirection | pDir,
|  | FbxProperty * | pSrc,
|  | FbxProperty * | pDst
| ) |  | `[inline]`

Definition at line 1341 of file fbxproperty.h.

                                                                                                :
            mType(pType),
            mDirection(pDir),
            mSrc(pSrc),
            mDst(pDst)
        {
        }

## Member Function Documentation

EType GetType | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 1348 of file fbxproperty.h.

    { return mType; }

EDirection GetDirection | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 1349 of file fbxproperty.h.

    { return mDirection; }

FbxProperty& GetSrc | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 1350 of file fbxproperty.h.

    { return *mSrc;  }

FbxProperty& GetDst | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 1351 of file fbxproperty.h.

    { return *mDst;  }

T* GetSrcIfObject | ( | const T * |  | ) | const `[inline]`

Search for all occurrences

Definition at line 1352 of file fbxproperty.h.

    { return mSrc->IsRoot() ? FbxCast<T>(mSrc->GetFbxObject()) : (T*)0; }

T* GetDstIfObject | ( | const T * |  | ) | const `[inline]`

Search for all occurrences

Definition at line 1353 of file fbxproperty.h.

    { return mDst->IsRoot() ? FbxCast<T>(mDst->GetFbxObject()) : (T*)0; }

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxproperty.h

FbxConnectEvent FbxConnectEvent FbxConnectEvent FbxConnectEvent FbxConnectEvent FbxConnectEvent FbxConnectEvent FbxConnectEvent FbxConnectEvent FbxConnectEvent
FbxConnectEvent FbxConnectEvent FbxConnectEvent FbxConnectEvent FbxConnectEvent FbxConnectEvent FbxConnectEvent FbxConnectEvent FbxConnectEvent FbxConnectEvent